package cn.superdesk.uniorder.common.enums.accounting.operator;

public enum AccountingEmailStatusEnum {
    未发邮件(0, "未发邮件"),
    已发邮件(1, "已发邮件"),
    ;
    private Integer key;
    private String  desc;

    AccountingEmailStatusEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }


    public Integer getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByKey(Integer key) {
        for (AccountingEmailStatusEnum c : AccountingEmailStatusEnum.values()) {
            if (c.key.equals(key)) {
                return c.getDesc();
            }
        }
        return "";
    }
}
